> ## Documentation Index
> Fetch the complete documentation index at: https://docs.altur.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve EndUser

> Returns the EndUser corresponding to the given identifier



## OpenAPI

````yaml GET /enduser/{id}
openapi: 3.0.1
info:
  title: Altur API
  description: >-
    An API aimed to allow third-party developers to interact with the Altur
    platform through a RESTful interface.
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.altur.io/api/v1.0
security:
  - apiKeyAuth: []
paths:
  /enduser/{id}:
    get:
      description: Returns the EndUser corresponding to the given identifier
      parameters:
        - name: id
          in: path
          description: The identifier of the EndUser to return
          schema:
            type: string
            format: uuid4
          required: true
      responses:
        '200':
          description: EndUser response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndUser'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    EndUser:
      type: object
      properties:
        id:
          description: Unique identifier for the EndUser
          type: string
          format: uuid4
        display_name:
          description: EndUser's display name
          type: string
        integration_type:
          description: Enum representing the Integration's channel
          type: string
          enum:
            - api
            - whatsapp
        info:
          description: >-
            EndUser's information valuable for interactions with Agents or human
            agents
          type: string
      required:
        - id
        - display_name
        - integration
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Add `api-key YOUR_API_SECRET_KEY` as the value of the `Authorization`
        header.

````